Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/desktop-file-validate python3-module-setuptools
# END SourceDeps(oneline)
%filter_from_requires /python3(yokadi.update)/d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           yokadi
Version:        1.1.1
Release:        alt1_8
Summary:        Command line oriented todo list system

License:        GPLv3+
URL:            http://yokadi.github.com/
Source0:        http://yokadi.github.com/download/%{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils

Requires:       python3-module-SQLAlchemy
Requires:       python3-module-dateutil
Requires:       python3-module-pycrypto
Source44: import.info

%description
Yokadi is a command-line oriented, SQLite powered, TODO list tool.
It helps you organize all the things you have to do and you must not
forget.It aims to be simple, intuitive and very efficient.

In Yokadi you manage projects, which contains tasks. At the minimum,
a task has a title, but it can also have a description, a due date,
an urgency or keywords. Keywords can be any word that help you to find
and sort your tasks.

%prep
%setup -q

sed -i -e '/^#!\//, 1d' {yokadi/yokadid.py,yokadi/createdemodb.py,yokadi/tests/tests.py}

%build
%python3_build

%install
%python3_install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc NEWS README.md doc/*.md
%doc --no-dereference LICENSE
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_bindir}/yokadid
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{python3_sitelibdir_noarch}/%{name}/
%{python3_sitelibdir_noarch}/%{name}*.egg-info
%_iconsdir/hicolor/*/*/*

%changelog
* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_8
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.14.0-alt1_2
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.14.0-alt1_1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_10
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_9
- update to new release by fcimport

* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_7
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_6
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 0.13.0-alt1_5
- fc import

